ipa-server-certinstall(1)

NAME
ipa-server-certinstall - Install new SSL server certificates

SYNOPSIS
ipa-server-certinstall [OPTION]... PKCS12_FILE

DESCRIPTION
Replace the current SSL Directory and/or Apache server certificate(s) with the certificate in the PKCS#12 file. PKCS#12 is a file format used to safely transport SSL certificates and public/private keypairs. They may be generated and managed using the NSS pk12util command or the OpenSSL pkcs12 command. The service(s) are not automatically restarted. In order to use the newly installed certificate(s) you will need to manually restart the Directory and/or Apache servers.

OPTIONS

-d, --dirsrv
    Install the certificate on the Directory Server

-w, --http
    Install the certificate in the Apache Web Server

--pin=PIN
    The password of the PKCS#12 file

--dirman-password=DIRMAN_PASSWORD
    Directory Manager password

EXIT STATUS
0 if the installation was successful 1 if an error occurred